% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getElbows.R
\name{getElbows}
\alias{getElbows}
\title{Dimensionality selection for singular values using profile likelihood.}
\usage{
getElbows(dat, n = 3, threshold = FALSE, plot = TRUE, main = "")
}
\arguments{
\item{dat}{a input vector (e.g. a vector of standard deviations), or a input feature matrix.}

\item{n}{the number of returned elbows.}

\item{threshold}{either \code{FALSE} or a number. If threshold is a number, then all
the elements in d that are not larger than the threshold will be ignored.}

\item{plot}{logical. When \code{T}, it depicts a scree plot with highlighted elbows.}
}
\value{
q  a vector of length \eqn{n}.
}
\description{
Dimensionality selection for singular values using profile likelihood.
}
\details{
Given a decreasingly sorted vector, return the given number of elbows
}
\author{
Youngser Park
}
\references{
Zhu, Mu and Ghodsi, Ali (2006), "Automatic dimensionality selection from
  the scree plot via the use of profile likelihood", \emph{Computational
  Statistics & Data Analysis}, Volume 51 Issue 2, pp 918-930, November, 2006.
}
\seealso{
\code{\link{dim_select}}
}

